### Name: M.merluccius
### Title: Stock-recruitment data
### Aliases: M.merluccius
### Keywords: datasets

### ** Examples


## Model fit
M.merluccius.m1<-nls(num.fish~spawn.biomass*a/(1+spawn.biomass/b),data=M.merluccius,start=list(a=5, b=5))
summary(M.merluccius.m1)

## Data and fitted curve
plot(num.fish~spawn.biomass,data=M.merluccius)
with(M.merluccius, lines(spawn.biomass, predict(M.merluccius.m1)))

## Fitted curves based on nls fit and reported estimates
with(M.merluccius, lines(spawn.biomass[osb<-order(spawn.biomass)], predict(M.merluccius.m1)[osb]))
with(M.merluccius, lines(spawn.biomass[osb<-order(spawn.biomass)], 
(4.91*spawn.biomass/(1+spawn.biomass/45.39))[osb],lty=2))

## RSS for two fits
deviance(M.merluccius.m1) 
with(M.merluccius, sum((num.fish - (4.91*spawn.biomass/(1+spawn.biomass/45.39)))^2))




