### Name: ScotsPine
### Title: Leaf area index for Scots Pine trees
### Aliases: ScotsPine
### Keywords: datasets

### ** Examples


## Plotting data
plot(lai~age, data=ScotsPine, xlab = "Age (years)", ylab = "Leaf area index" )

## Fitting the mono-exponenetial model 
expFct <- deriv3(~a+b*exp(-age/c), c("a","b","c"), function(a,b,c,age)NULL)
exp.m1 <- nls(lai~expFct(a, b, c, age), data=ScotsPine, start=list(a= 1, b=1 ,c=10))

## Calculating curvature measures
rms.curv(exp.m1)




