### Name: boxcox.nls
### Title: Transform-both-sides Box-Cox transformation
### Aliases: boxcox.nls bcSummary
### Keywords: models nonlinear

### ** Examples


## Fitting log-logistic model without transformation
ryegrass.m1<-nls(rootl~c+(d-c)/(1+(conc/e)^b),data=ryegrass, start=list(b=1,c=0,d=8,e=3))
summary(ryegrass.m1)

## Fitting the same model with optimal Box-Cox transformation
ryegrass.m2 <- boxcox(ryegrass.m1)
summary(ryegrass.m2)
bcSummary(ryegrass.m2)

## Fitting the Michaelis-Menten model without self starter
L.minor.m1 <- nls(rate ~ Vm*conc/(K+conc), data = L.minor, start = list(K=20, Vm=120))
L.minor.m2 <- boxcox(L.minor.m1)
bcSummary(L.minor.m2)

## Fitting the Michaelis-Menten model with self starter
L.minor.m3 <- nls(rate ~ SSmicmen(conc, Vm, K), data = L.minor)
L.minor.m4 <- boxcox(L.minor.m3)
bcSummary(L.minor.m4)




